From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/nbdime/
Date: Fri, 6 Sep 2024 09:25:36 +0000 (UTC) [thread overview]
Message-ID: <1725614703.526c0066d1e40aed5493292cb0f33d974dc49310.mgorny@gentoo> (raw)
commit: 526c0066d1e40aed5493292cb0f33d974dc49310
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 6 02:48:45 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 6 09:25:03 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=526c0066
dev-python/nbdime: Bump to 4.0.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/nbdime/Manifest | 1 +
dev-python/nbdime/nbdime-4.0.2.ebuild | 63 +++++++++++++++++++++++++++++++++++
2 files changed, 64 insertions(+)
diff --git a/dev-python/nbdime/Manifest b/dev-python/nbdime/Manifest
index c47739c63c17..d4135e471c52 100644
--- a/dev-python/nbdime/Manifest
+++ b/dev-python/nbdime/Manifest
@@ -1 +1,2 @@
DIST nbdime-4.0.1.tar.gz 9414125 BLAKE2B bf2581cec0f71ef8949c9cf19e21aa47302b6c71bbb9861e8c6f3a4b1921e9f73460ee5059e5bc92c7789d8f0695329125725c10e10763dd6e4d388bfaee53d1 SHA512 df14dfe9df296d71eb4a98140fe15703ca277063a153c3159cc883c99ce98b76f5f4dae24d32b048a18d2530e52535e3d89523d7a1c54a8654d2d54c8812ded3
+DIST nbdime-4.0.2.tar.gz 9452967 BLAKE2B c9c390f9165d0b8b3277c7bd93e5a90f4ac23cf0d084ed8ba166254bfbfe9cc0e9f0bc35c2a86b39d84167e78639cb2ed69f6cda5da02bb113f7323a86d745a6 SHA512 1e923b7f719d6a33f1dc06e06511a6d48bb8bfef7d8f7676da2520edd2914014eb88f70eaaeec27af6b03f1cefbd9a3e6854a7c0dec7f76f211d750b3fd90894
diff --git a/dev-python/nbdime/nbdime-4.0.2.ebuild b/dev-python/nbdime/nbdime-4.0.2.ebuild
new file mode 100644
index 000000000000..db11041f30e0
--- /dev/null
+++ b/dev-python/nbdime/nbdime-4.0.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Diff and merge of Jupyter Notebooks"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/nbdime/
+ https://pypi.org/project/nbdime/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/GitPython[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/jupyter-server[${PYTHON_USEDEP}]
+ dev-python/jupyter-server-mathjax[${PYTHON_USEDEP}]
+ dev-python/nbformat[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tornado[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/notebook[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/tabulate[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/recommonmark \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+src_test() {
+ # user.email and user.name are not configured in the sandbox
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+
+ distutils-r1_src_test
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p timeout -o tmp_path_retention_policy=all
+}
+
+src_install() {
+ distutils-r1_src_install
+ mv "${ED}"{/usr,}/etc || die
+}
next reply other threads:[~2024-09-06 9:25 UTC|newest]
Thread overview: 49+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-09-06 9:25 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-02 11:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/nbdime/ Nowa Ammerlaan
2024-09-21 12:02 Michał Górny
2024-09-21 11:08 Arthur Zamarin
2023-12-09 14:05 Michał Górny
2023-12-09 14:04 Michał Górny
2023-11-21 19:05 Michał Górny
2023-10-15 15:46 Michał Górny
2023-06-27 12:01 Michał Górny
2023-06-27 5:19 Jakov Smolić
2023-05-06 9:58 Arthur Zamarin
2023-05-01 7:16 Arthur Zamarin
2023-05-01 7:16 Arthur Zamarin
2023-05-01 4:31 Michał Górny
2023-04-23 22:12 Sam James
2023-04-23 19:30 Michał Górny
2023-04-23 9:44 Jakov Smolić
2023-04-23 9:44 Jakov Smolić
2023-04-22 19:44 Sam James
2023-04-22 16:44 Arthur Zamarin
2023-04-16 12:11 WANG Xuerui
2023-04-14 22:30 Sam James
2023-04-14 21:02 Sam James
2023-04-14 20:43 Sam James
2023-04-14 20:25 Sam James
2023-04-14 20:07 Sam James
2023-04-14 4:19 Sam James
2023-04-14 4:05 Sam James
2023-03-17 5:32 Michał Górny
2023-03-11 6:37 Yixun Lan
2023-03-10 19:23 Michał Górny
2023-03-10 19:23 Michał Górny
2022-10-27 11:30 Andrew Ammerlaan
2022-06-16 8:06 Michał Górny
2022-06-12 14:52 Sam James
2022-03-24 8:39 Andrew Ammerlaan
2021-11-28 14:18 Andrew Ammerlaan
2021-06-10 9:58 Andrew Ammerlaan
2020-09-05 7:24 Michał Górny
2020-09-05 6:08 Michał Górny
2020-09-02 9:12 Michał Górny
2020-09-02 9:12 Michał Górny
2019-12-13 20:45 David Seifert
2019-03-10 22:38 Patrice Clement
2018-06-24 15:24 Pacho Ramos
2017-03-09 20:44 David Seifert
2017-03-09 20:44 David Seifert
2017-02-04 21:30 David Seifert
2017-01-02 22:09 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1725614703.526c0066d1e40aed5493292cb0f33d974dc49310.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox